# sblim.spec
#  
# SBLIM (Standards Based Linux Instrumentation for Manageability)
# top level RPM .spec file - exists to ship the (many!) upstream
# SBLIM components in one main package.
# 
# Copyleft(C) Jason Vas Dias<jvdias@redhat.com> Red Hat, Inc. May 2006
#             No rights reserved / GNU Public License / whatever .
#
%{?!LINUX_DISTRIBUTION: %define LINUX_DISTRIBUTION EL4}
%{?!NODEBUGINFO:	%define NODEBUGINFO	   0  }
%if %{NODEBUGINFO}
%define debug_package %{nil}
%endif
%define		sblim_cmpi_base_version		1.5.4
%define		sblim_cmpi_devel_version	1.0.4
%define		sblim_wbemcli_version		1.5.1
%define		sblim_gather_version		2.1.1
%define		sblim_testsuite_version		1.2.4
%define         sblim_cmpi_network_version      1.3.7
%define         sblim_cmpi_params_version   	1.2.4
%define		sblim_cmpi_sysfs_version	1.1.8
%define		sblim_cmpi_syslog_version	0.7.9
%define		sblim_cmpi_fsvol_version	1.4.3
%define		sblim_cmpi_nfsv3_version	1.0.13
%define		sblim_cmpi_nfsv4_version	1.0.11
%define		provider_dir			%{_libdir}/cmpi
#
Summary: 	Standards Based Linux Instrumentation for Manageability
Name: 		sblim
Version: 	1
Release: 	12%{?LINUX_DISTRIBUTION:.%LINUX_DISTRIBUTION}
License: 	IBM Common Public License (CPL)
Group: 		Applications/System
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: 		http://www.sblim.org
#
BuildRequires:  tog-pegasus-devel >= 2:2.5.1-1, curl-devel, perl
#               http://prdownloads.sourceforge.net/pub/sourceforge/s/sb/sblim
Source0: 	sblim-cmpi-base-%{sblim_cmpi_base_version}.tar.bz2
Source1:	sblim-cmpi-devel-%{sblim_cmpi_devel_version}.tar.bz2
Source2:	sblim-wbemcli-%{sblim_wbemcli_version}.tar.bz2
Source3:	sblim-gather-%{sblim_gather_version}.tar.bz2
Source4:	sblim-testsuite-%{sblim_testsuite_version}.tar.bz2
Source5:	sblim-cmpi-network-%{sblim_cmpi_network_version}.tar.bz2
Source6:	sblim-cmpi-params-%{sblim_cmpi_params_version}.tar.bz2
Source7:	sblim-cmpi-sysfs-%{sblim_cmpi_sysfs_version}.tar.bz2
Source8:	sblim-cmpi-syslog-%{sblim_cmpi_syslog_version}.tar.bz2
Source9:	sblim-cmpi-fsvol-%{sblim_cmpi_fsvol_version}.tar.bz2
Source10:	sblim-cmpi-nfsv3-%{sblim_cmpi_nfsv3_version}.tar.bz2
Source11:	sblim-cmpi-nfsv4-%{sblim_cmpi_nfsv4_version}.tar.bz2
Patch0:		sblim-gather-2.1.0-repositoryIsDefaultInstanceProvider.patch
Patch1:		sblim-gather-2.1.0-cvs060615.patch
Patch2:		sblim-gather-2.1.1-bz195543.patch
Patch3:		sblim-gather-2.1.1-fix-test-gather.patch
Patch4:		sblim-cmpi-params-1.2.4-no-abi-params.patch
Patch5:		sblim-cmpi-sysfs-1.1.8-no-SysfsAttribute.patch
Patch6:		sblim-cmpi-network-make.patch
Patch7:		sblim-cmpi-fsvol-make.patch
Patch8:		sblim-cmpi-fsvol-1.4.3-fix-fsvol-coredump.patch
Patch9:		sblim-gather-pluginz-channelrepos.patch
Patch10:	oracle-enterprise-release.patch
#

%description
SBLIM stands for Standards Based Linux Instrumentation for Manageability,
and consists of a set of standards based Web Based Enterprise Management 
(WBEM) modules that use the Common Information Model (CIM) standard to
gather and provide systems management information, events, and methods
to local or networked consumers via an CIM object services broker using
the CMPI (Common Manageability Programming Interface) standard.
This package provides a set of core providers and development tools
for systems management applications.
#
#  This is a top-level container only RPM - 
#  all content is in the sub-packages.


#  sblim-cmpi-base{,-devel,-test} packages:
#
%package -n 	sblim-cmpi-base
Version:    	%{sblim_cmpi_base_version}
Summary:	SBLIM CMPI Base Providers
Group: 		Applications/System
BuildRequires:  tog-pegasus-devel >= 2.5

%description -n sblim-cmpi-base
SBLIM (Standards Based Linux Instrumentation for Manageability) 
CMPI (Common Manageability Programming Interface) Base Providers 
for System-Related CIM (Common Information Model) classes

%package -n	sblim-cmpi-base-devel
Version:        %{sblim_cmpi_base_version}
Summary: 	SBLIM CMPI Base Providers Development Header Files
Group: 	  	Development/Libraries
BuildRequires:  tog-pegasus-devel >= 2.5
Requires: 	sblim-cmpi-base = %{sblim_cmpi_base_version}-%{release}

%description -n sblim-cmpi-base-devel
SBLIM (Standards Based Linux Instrumentation for Manageability) 
CMPI (Common Manageability Programming Interface) Base Provider
development header files and link libraries 

%package -n	sblim-cmpi-base-test
Version:        %{sblim_cmpi_base_version}
Summary: 	SBLIM CMPI Base Providers Test Cases
Group: 	  	Applications/System
BuildRequires:  tog-pegasus-devel >= 2.5
Requires: 	sblim-cmpi-base = %{sblim_cmpi_base_version}-%{release}
Requires:	sblim-testsuite = %{sblim_testsuite_version}-%{release}

%description -n sblim-cmpi-base-test
SBLIM (Standards Based Linux Instrumentation for Manageability) 
CMPI (Common Manageability Programming Interface) Base Provider
Testcase Files for the SBLIM Testsuite


# sblim-cmpi-devel package:
#
%package -n 	sblim-cmpi-devel
Version:	%{sblim_cmpi_devel_version}
Summary:	SBLIM CMPI Provider Development Support
Group:		Development/Libraries
Provides:	cmpi-devel
Requires:	tog-pegasus-devel >= 2.5

%description -n sblim-cmpi-devel
The C and C++ CMPI (Common Manageability Programming Interface)
header files needed for provider developerment with the 
OpenPegasus (tog-pegasus-devel) package.


# sblim-wbemcli package:
#
%package -n	sblim-wbemcli
Version:	%{sblim_wbemcli_version}
Group:		Applications/System
Summary: 	SBLIM WBEM Command Line Interface
BuildRequires: 	curl-devel >= 7.9.3
Requires: 	curl >= 7.9.3

%description -n sblim-wbemcli
The WBEM (Web Based Enterprise Management) Command Line Interface
provides programs for communicating with WBEM providers, and is 
suited for basic systems management tasks and for use in scripts.


# sblim-gather package:
#
%package -n	sblim-gather 
Version:	%{sblim_gather_version}
Group:		Applications/System
Summary:	SBLIM Gatherer

%description -n sblim-gather
Standards Based Linux Instrumentation for Manageability 
Performance Data Gatherer Base.
This package contains the agents and control programs for gathering
and providing performance data.

%package -n     sblim-gather-provider
Version:	%{sblim_gather_version}
Summary: 	SBLIM Gatherer Provider
Group:		Applications/System
BuildRequires:  tog-pegasus-devel >= 2.5
Requires:	sblim-gather = %{sblim_gather_version}-%{release}
Requires:	tog-pegasus
Requires:	sblim-cmpi-base

%description -n sblim-gather-provider
The CIM (Common Information Model) Providers for the 
SBLIM (Standards Based Linux Instrumentation for Manageability)
Gatherer.

%package -n     sblim-gather-devel
Version:	%{sblim_gather_version}
Summary: 	SBLIM Gatherer Development Support
Group:		Development/Libraries
BuildRequires:  tog-pegasus-devel >= 2.5
Requires:	sblim-gather = %{sblim_gather_version}-%{release}

%description -n	sblim-gather-devel
This package is needed to develop new plugins for the 
SBLIM (Standards Based Linux Instrumentation for Manageability)
Gatherer.

%package -n	sblim-gather-test
Version:	%{sblim_gather_version}
Summary: 	SBLIM Gatherer Testcase Files
Group: 		Systems Management/Base
BuildRequires:  tog-pegasus-devel >= 2.5
Requires: 	sblim-gather-provider = %{sblim_gather_version}-%{release}
Requires: 	sblim-testsuite

%description -n	sblim-gather-test
Gatherer Testcase Files for the
SBLIM (Standards Based Linux Instrumentation for Manageability)
Testsuite

# sblim-testsuite package:
#
%package -n 	sblim-testsuite
Version:	%{sblim_testsuite_version}
Group:		Applications/System
Summary:	SBLIM testsuite
Requires: 	perl >= 5.6
BuildRequires:  tog-pegasus-devel >= 2.5
Requires: 	sblim-wbemcli = %{sblim_wbemcli_version}-%{release}

%description -n sblim-testsuite
SBLIM (Standards Based Linux Instrumentation for Manageability) 
automated test suite scripts


# sblim-cmpi-network package:
#
%package -n 	sblim-cmpi-network
Summary: 	SBLIM Network Instrumentation
Version: 	%{sblim_cmpi_network_version}
Group: 		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1
Requires: 	sblim-cmpi-base >= 1.5

%description -n sblim-cmpi-network
Standards Based Linux Instrumentation Network Providers

%package -n	sblim-cmpi-network-devel
Summary: 	SBLIM Network Instrumentation Header Development Files
Version: 	%{sblim_cmpi_network_version}
Group: 	        Development/Libraries
Requires:	sblim-cmpi-network = %{sblim_cmpi_network_version}-%{release}

%description -n sblim-cmpi-network-devel
SBLIM Base Network Development Package

%package -n	sblim-cmpi-network-test
Summary: 	SBLIM Network Instrumentation Testcases
Version: 	%{sblim_cmpi_network_version}
Group: 	        Applications/System
Requires:	sblim-cmpi-network = %{sblim_cmpi_network_version}-%{release}
Requires: 	sblim-testsuite

%description -n	sblim-cmpi-network-test
SBLIM Base Network Testcase Files for SBLIM Testsuite

# sblim-cmpi-params package:
#
%package -n	sblim-cmpi-params
Summary:	SBLIM params instrumentation
Version:	%{sblim_cmpi_params_version}
Group:		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1, sblim-cmpi-base

%description -n	sblim-cmpi-params
Standards Based Linux Instrumentation Params Providers

%package -n 	sblim-cmpi-params-devel
# ^- currently a placeholder - no devel files shipped
Summary: 	SBLIM Params Instrumentation Header Development Files
Group: 		Development/Libraries
Version:	%{sblim_cmpi_params_version}
Requires: 	sblim-cmpi-params = %{sblim_cmpi_params_version}-%{release}

%description -n sblim-cmpi-params-devel
SBLIM Base Params Development Package

%package     -n sblim-cmpi-params-test
Summary: 	SBLIM Params Instrumentation Testcases
Group: 		Applications/System
Version:	%{sblim_cmpi_params_version}
Requires: 	sblim-cmpi-params = %{sblim_cmpi_params_version}-%{release}
Requires: 	sblim-testsuite

%description -n sblim-cmpi-params-test
SBLIM Base Params Testcase Files for SBLIM Testsuite

# sblim-cmpi-sysfs package:
#
%package -n	sblim-cmpi-sysfs
Summary:	SBLIM sysfs instrumentation
Version:	%{sblim_cmpi_sysfs_version}
Group:		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1, sblim-cmpi-base

%description -n	sblim-cmpi-sysfs
Standards Based Linux Instrumentation Sysfs Providers

%package -n 	sblim-cmpi-sysfs-devel
# ^- currently a placeholder - no devel files shipped
Summary: 	SBLIM Sysfs Instrumentation Header Development Files
Group: 		Development/Libraries
Version:	%{sblim_cmpi_sysfs_version}
Requires: 	sblim-cmpi-sysfs = %{sblim_cmpi_sysfs_version}-%{release}

%description -n sblim-cmpi-sysfs-devel
SBLIM Base Sysfs Development Package

%package     -n sblim-cmpi-sysfs-test
Summary: 	SBLIM Sysfs Instrumentation Testcases
Group: 		Applications/System
Version:	%{sblim_cmpi_sysfs_version}
Requires: 	sblim-cmpi-sysfs = %{sblim_cmpi_sysfs_version}-%{release}
Requires: 	sblim-testsuite

%description -n sblim-cmpi-sysfs-test
SBLIM Base Sysfs Testcase Files for SBLIM Testsuite

# sblim-cmpi-syslog package:
#
%package -n	sblim-cmpi-syslog
Summary:	SBLIM syslog instrumentation
Version:	%{sblim_cmpi_syslog_version}
Group:		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1, sblim-cmpi-base

%description -n	sblim-cmpi-syslog
Standards Based Linux Instrumentation Syslog Providers

%package -n 	sblim-cmpi-syslog-devel
# ^- currently a placeholder - no devel files shipped
Summary: 	SBLIM Syslog Instrumentation Header Development Files
Group: 		Development/Libraries
Version:	%{sblim_cmpi_syslog_version}
Requires: 	sblim-cmpi-syslog = %{sblim_cmpi_syslog_version}-%{release}

%description -n sblim-cmpi-syslog-devel
SBLIM Base Syslog Development Package

%package     -n sblim-cmpi-syslog-test
Summary: 	SBLIM Syslog Instrumentation Testcases
Group: 		Applications/System
Version:	%{sblim_cmpi_syslog_version}
Requires: 	sblim-cmpi-syslog = %{sblim_cmpi_syslog_version}-%{release}
Requires: 	sblim-testsuite

%description -n sblim-cmpi-syslog-test
SBLIM Base Syslog Testcase Files for SBLIM Testsuite

# sblim-cmpi-fsvol package:
#
%package -n	sblim-cmpi-fsvol
Summary:	SBLIM fsvol instrumentation
Version:	%{sblim_cmpi_fsvol_version}
Group:		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1, sblim-cmpi-base

%description -n	sblim-cmpi-fsvol
Standards Based Linux Instrumentation Fsvol Providers

%package -n 	sblim-cmpi-fsvol-devel
# ^- currently a placeholder - no devel files shipped
Summary: 	SBLIM Fsvol Instrumentation Header Development Files
Group: 		Development/Libraries
Version:	%{sblim_cmpi_fsvol_version}
Requires: 	sblim-cmpi-fsvol = %{sblim_cmpi_fsvol_version}-%{release}

%description -n sblim-cmpi-fsvol-devel
SBLIM Base Fsvol Development Package

%package     -n sblim-cmpi-fsvol-test
Summary: 	SBLIM Fsvol Instrumentation Testcases
Group: 		Applications/System
Version:	%{sblim_cmpi_fsvol_version}
Requires: 	sblim-cmpi-fsvol = %{sblim_cmpi_fsvol_version}-%{release}
Requires: 	sblim-testsuite

%description -n sblim-cmpi-fsvol-test
SBLIM Base Fsvol Testcase Files for SBLIM Testsuite

# sblim-cmpi-nfsv3 package:
#
%package -n	sblim-cmpi-nfsv3
Summary:	SBLIM nfsv3 instrumentation
Version:	%{sblim_cmpi_nfsv3_version}
Group:		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1, sblim-cmpi-base

%description -n	sblim-cmpi-nfsv3
Standards Based Linux Instrumentation Nfsv3 Providers

%package -n 	sblim-cmpi-nfsv3-devel
# ^- currently a placeholder - no devel files shipped
Summary: 	SBLIM Nfsv3 Instrumentation Header Development Files
Group: 		Development/Libraries
Version:	%{sblim_cmpi_nfsv3_version}
Requires: 	sblim-cmpi-nfsv3 = %{sblim_cmpi_nfsv3_version}-%{release}

%description -n sblim-cmpi-nfsv3-devel
SBLIM Base Nfsv3 Development Package

%package     -n sblim-cmpi-nfsv3-test
Summary: 	SBLIM Nfsv3 Instrumentation Testcases
Group: 		Applications/System
Version:	%{sblim_cmpi_nfsv3_version}
Requires: 	sblim-cmpi-nfsv3 = %{sblim_cmpi_nfsv3_version}-%{release}
Requires: 	sblim-testsuite

%description -n sblim-cmpi-nfsv3-test
SBLIM Base Fsvol Testcase Files for SBLIM Testsuite

# sblim-cmpi-nfsv4 package:
#
%package -n	sblim-cmpi-nfsv4
Summary:	SBLIM nfsv4 instrumentation
Version:	%{sblim_cmpi_nfsv4_version}
Group:		Applications/System
BuildRequires: 	tog-pegasus-devel >= 2.5.1
Requires: 	tog-pegasus >= 2.5.1, sblim-cmpi-base

%description -n	sblim-cmpi-nfsv4
Standards Based Linux Instrumentation Nfsv4 Providers

%package -n 	sblim-cmpi-nfsv4-devel
# ^- currently a placeholder - no devel files shipped
Summary: 	SBLIM Nfsv4 Instrumentation Header Development Files
Group: 		Development/Libraries
Version:	%{sblim_cmpi_nfsv4_version}
Requires: 	sblim-cmpi-nfsv4 = %{sblim_cmpi_nfsv4_version}-%{release}

%description -n sblim-cmpi-nfsv4-devel
SBLIM Base Nfsv4 Development Package

%package     -n sblim-cmpi-nfsv4-test
Summary: 	SBLIM Nfsv4 Instrumentation Testcases
Group: 		Applications/System
Version:	%{sblim_cmpi_nfsv4_version}
Requires: 	sblim-cmpi-nfsv4 = %{sblim_cmpi_nfsv4_version}-%{release}
Requires: 	sblim-testsuite

%description -n sblim-cmpi-nfsv4-test
SBLIM Base Fsvol Testcase Files for SBLIM Testsuite


%prep
%setup -q -c -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11
pushd sblim-gather-%{sblim_gather_version}
%patch0 -p1 -b .repositoryIsDefaultInstanceProvider
#%patch1 -p1 -b .cvs060615
%patch2 -p1 -b .bz195543
%patch3 -p1 -b .fix-test-gather
%patch9 -p0 -b .ibm-bz24459
popd
pushd sblim-cmpi-params-%{sblim_cmpi_params_version}
%patch4 -p1 -b .no-abi-params
popd
pushd sblim-cmpi-sysfs-%{sblim_cmpi_sysfs_version}
%patch5 -p1 -b .no-SysfsAttribute
popd
pushd sblim-cmpi-network-%{sblim_cmpi_network_version}
%patch6 -p0 -b .network-make
popd
pushd sblim-cmpi-fsvol-%{sblim_cmpi_fsvol_version}
%patch7 -p0 -b .fsvol-make
%patch8 -p1 -b .fix-fsvol-coredump
popd

%patch10 -p1

%build
rm -rf $RPM_BUILD_ROOT
%ifarch s390 s390x ppc ppc64
export CFLAGS="$RPM_OPT_FLAGS -fsigned-char"
%else
export CFLAGS="$RPM_OPT_FLAGS" 
%endif
# sblim-cmpi-base
echo '***'
echo '***' sblim-cmpi-base
echo '***'
pushd sblim-cmpi-base-%{sblim_cmpi_base_version}
%configure TESTSUITEDIR=%{_datadir}/sblim-testsuite \
  	   PROVIDERDIR=%{provider_dir} \
	   CIMSERVER=pegasus
make
#make %{?_smp_mflags}
# RHEL-4 automake cannot figure out correct depends for make -j :-(
make DESTDIR=$RPM_BUILD_ROOT install
cp -fp *OSBase_UnixProcess.h $RPM_BUILD_ROOT/%{_includedir}/sblim
chmod 644 $RPM_BUILD_ROOT/%{_includedir}/sblim/*OSBase_UnixProcess.h
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/cmpi/*a
popd
#
# sblim-cmpi-devel
echo '***'
echo '***' sblim-cmpi-devel
echo '***'
pushd sblim-cmpi-devel-%{sblim_cmpi_devel_version}
%configure --disable-library
#          ^- hmm.. I wonder why? "C and C++" ?
make
#make %{?_smp_mflags}
make DESTDIR=$RPM_BUILD_ROOT install
popd
#
# sblim-wbemcli
echo '***'
echo '***' sblim-wbemcli
echo '***'
pushd sblim-wbemcli-%{sblim_wbemcli_version}
%configure CACERT=/etc/Pegasus/client.pem
make
#make %{?smp_mflags}
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
popd
#
# sblim-gather
echo '***'
echo '***' sblim-gather
echo '***'
pushd sblim-gather-%{sblim_gather_version}
%configure TESTSUITEDIR=%{_datadir}/sblim-testsuite \
 	   CIMSERVER=pegasus \
	   PROVIDERDIR=%{provider_dir} \
	   CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim" \
	   LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}"
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/gather/*plug/*a
# remove non-devel .so's from libdir
#find $RPM_BUILD_ROOT/%{_libdir} -maxdepth 1 -name "*.so" ! -name libgatherutil.so \
#	-exec rm {} \;
# copy extra docs
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/doc/sblim-gather-%{sblim_gather_version}
cp -fp README.{OpenPegasus,RedHat} $RPM_BUILD_ROOT/%{_datadir}/doc/sblim-gather-%{sblim_gather_version}/
popd
#
# sblim-testsuite
echo '***'
echo '***' sblim-testsuite
echo '***'
pushd sblim-testsuite-%{sblim_testsuite_version}
PATH=$RPM_BUILD_ROOT/usr/bin:$RPM_BUILD_ROOT/usr/sbin:$PATH \
LD_LIBRARY_PATH=$RPM_BUILD_ROOT/%{_libdir} \
%configure
make
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/var/sblim-testsuite
rm -f $RPM_BUILD_ROOT/%{_datadir}/sblim-testsuite/stat
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/sblim-testsuite/{stat,cim,system/linux}
chmod 0755 $RPM_BUILD_ROOT/%{_datadir}/sblim-testsuite/{stat,cim,system/linux}
popd
#
# sblim-cmpi-network
echo '***'
echo '***' sblim-cmpi-network
echo '***'
pushd sblim-cmpi-network-%{sblim_cmpi_network_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd
#
# sblim-cmpi-params
echo '***'
echo '***' sblim-cmpi-params
echo '***'
pushd sblim-cmpi-params-%{sblim_cmpi_params_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd
#
# sblim-cmpi-sysfs
echo '***'
echo '***' sblim-cmpi-sysfs
echo '***'
pushd sblim-cmpi-sysfs-%{sblim_cmpi_sysfs_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd
#
# sblim-cmpi-syslog
echo '***'
echo '***' sblim-cmpi-syslog
echo '***'
pushd sblim-cmpi-syslog-%{sblim_cmpi_syslog_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd
#
# sblim-cmpi-fsvol
echo '***'
echo '***' sblim-cmpi-fsvol
echo '***'
pushd sblim-cmpi-fsvol-%{sblim_cmpi_fsvol_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd
#
# sblim-cmpi-nfsv3
echo '***'
echo '***' sblim-cmpi-nfsv3
echo '***'
pushd sblim-cmpi-nfsv3-%{sblim_cmpi_nfsv3_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd
#
# sblim-cmpi-nfsv4
echo '***'
echo '***' sblim-cmpi-nfsv4
echo '***'
pushd sblim-cmpi-nfsv4-%{sblim_cmpi_nfsv4_version}
%configure \
	TESTSUITEDIR=%{_datadir}/sblim-testsuite \
	CIMSERVER=pegasus \
	PROVIDERDIR=%{provider_dir} \
	CPPFLAGS="-I${RPM_BUILD_ROOT}/usr/include/sblim -I${RPM_BUILD_ROOT}/usr/include/cmpi" \
	LDFLAGS="-L${RPM_BUILD_ROOT}/%{_libdir}";
make
make DESTDIR=$RPM_BUILD_ROOT install
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{provider_dir}/*a
popd


%install
%if %{NODEBUGINFO}
/usr/lib/rpm/brp-compress
exit 0
%endif
:;
# all done!


%files -n	sblim-cmpi-base
%defattr(0644,root,pegasus,0755)
%docdir %{_datadir}/doc/sblim-cmpi-base-%{sblim_cmpi_base_version}
%{_datadir}/doc/sblim-cmpi-base-%{sblim_cmpi_base_version}
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-cmpi-base
%defattr(0750,root,pegasus,0750)
%{_libdir}/libcmpiOSBase_Common.so.*
%{_libdir}/libdmi*.so.*
%{provider_dir}/libcmpiOSBase_BaseBoardProvider.so
%{provider_dir}/libcmpiOSBase_CSBaseBoardProvider.so
%{provider_dir}/libcmpiOSBase_CSProcessorProvider.so
%{provider_dir}/libcmpiOSBase_ComputerSystemProvider.so
%{provider_dir}/libcmpiOSBase_OSProcessProvider.so
%{provider_dir}/libcmpiOSBase_OperatingSystemProvider.so
%{provider_dir}/libcmpiOSBase_OperatingSystemStatisticalDataProvider.so
%{provider_dir}/libcmpiOSBase_OperatingSystemStatisticsProvider.so
%{provider_dir}/libcmpiOSBase_ProcessorProvider.so
%{provider_dir}/libcmpiOSBase_RunningOSProvider.so
%{provider_dir}/libcmpiOSBase_UnixProcessProvider.so

%files -n	sblim-cmpi-base-devel
%defattr(0644,root,pegasus,0755)
%dir %{_includedir}/sblim
%{_includedir}/sblim/*Base_Common.h
%{_includedir}/sblim/*OSBase_UnixProcess.h
%{_libdir}/libdmi*.so
%defattr(0750,root,pegasus,0750)
%{_libdir}/libcmpiOSBase_Common.so

%files -n	sblim-cmpi-base-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/test-cmpi-base.sh
%{_datadir}/sblim-testsuite/system/linux/createKeyFiles.sh
%{_datadir}/sblim-testsuite/system/linux/Linux_ComputerSystem.system
%{_datadir}/sblim-testsuite/system/linux/Linux_CSProcessor.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystemStatisticalData.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystemStatistics.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystem.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystem.version.sh
%{_datadir}/sblim-testsuite/system/linux/Linux_OSProcess.system
%{_datadir}/sblim-testsuite/system/linux/Linux_Processor.pl
%{_datadir}/sblim-testsuite/system/linux/Linux_Processor.system
%{_datadir}/sblim-testsuite/system/linux/Linux_RunningOS.system
%{_datadir}/sblim-testsuite/system/linux/Linux_UnixProcess.pl
%{_datadir}/sblim-testsuite/system/linux/Linux_UnixProcess.system
%{_datadir}/sblim-testsuite/cim/Linux_ComputerSystem.cim
%{_datadir}/sblim-testsuite/cim/Linux_CSProcessor.cim
%{_datadir}/sblim-testsuite/cim/Linux_OperatingSystem.cim
%{_datadir}/sblim-testsuite/cim/Linux_OperatingSystemStatisticalData.cim
%{_datadir}/sblim-testsuite/cim/Linux_OperatingSystemStatistics.cim
%{_datadir}/sblim-testsuite/cim/Linux_OSProcess.cim
%{_datadir}/sblim-testsuite/cim/Linux_Processor.cim
%{_datadir}/sblim-testsuite/cim/Linux_RunningOS.cim
%{_datadir}/sblim-testsuite/cim/Linux_UnixProcess.cim


%files -n	sblim-cmpi-devel
%defattr(0644,root,pegasus,0755)
%docdir %{_datadir}/doc/sblim-cmpi-devel-%{sblim_cmpi_devel_version}
%{_datadir}/doc/sblim-cmpi-devel-%{sblim_cmpi_devel_version}
%{_includedir}/cmpi

%files -n	sblim-wbemcli
%defattr(0750,root,pegasus,0755)
%{_bindir}/wbem*
%defattr(0644,root,pegasus,0755)
%{_mandir}/man1/wbem*

%files -n	sblim-gather
%defattr(0640,root,pegasus,0750)
%config(noreplace) %{_sysconfdir}/*.conf
%{_localstatedir}/run/gather
%defattr(0644,root,pegasus,0755)
%docdir %{_datadir}/doc/sblim-gather-%{sblim_gather_version}
%{_datadir}/doc/sblim-gather-%{sblim_gather_version}
%defattr(0750,root,pegasus,0750)
%{_bindir}/gatherctl
%{_bindir}/reposctl
%{_sbindir}/*
%{_libdir}/lib[gmr]*.so.*
%{_libdir}/libchannelutil.so.*
%{_libdir}/libhypfs.so.*
%{_libdir}/liblparutil.so.*
%{_libdir}/libsysfswrapper.so.*
%{_libdir}/gather/mplug
%{_libdir}/gather/rplug

%files -n	sblim-gather-provider
%defattr(0750,root,pegasus,0750)
%{_libdir}/gather/cplug
%{_libdir}/libOSBase_Metric*.so.*
%{provider_dir}/libOSBase_Metric*
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-gather

%files -n	sblim-gather-devel
%defattr(0750,root,pegasus,0750)
%{_libdir}/libOSBase_Metric*.so
%{_libdir}/lib[gmr]*.so
%{_libdir}/libchannelutil.so
%{_libdir}/libhypfs.so
%{_libdir}/liblparutil.so
%{_libdir}/libsysfswrapper.so
%defattr(0644,root,pegasus,0755)
%{_includedir}/gather

%files -n	sblim-gather-test
%defattr(-,root,pegasus)
%{_datadir}/sblim-testsuite/test-gather.sh
%{_datadir}/sblim-testsuite/cim/*Metric*
%{_datadir}/sblim-testsuite/system/linux/gather-systemname.sh
%{_datadir}/sblim-testsuite/system/linux/*Metric*

%files -n	sblim-testsuite
%defattr(-,root,pegasus)
%doc %{_datadir}/doc/sblim-testsuite-%{sblim_testsuite_version}
%{_datadir}/sblim-testsuite/run.sh
%{_datadir}/sblim-testsuite/*.pl
%{_datadir}/sblim-testsuite/*.pm
%{_datadir}/sblim-testsuite/cim/*Sample*
%{_datadir}/sblim-testsuite/system/linux/*Sample*
%{_datadir}/sblim-testsuite/system/linux/*.sample
%dir %{_datadir}/sblim-testsuite/cim
%dir %{_datadir}/sblim-testsuite/system
%dir %{_datadir}/sblim-testsuite/system/linux
%dir %{_datadir}/sblim-testsuite/stat

%files -n 	sblim-cmpi-network
%defattr(-,root,pegasus,0755) 
%{_libdir}/libOSBase_CommonNetwork.so.*
%{provider_dir}/libcmpiOSBase_*PortProvider.so
%{provider_dir}/libcmpiOSBase_*EndpointProvider.so
%{_datadir}/sblim-cmpi-network
%docdir %{_datadir}/doc/sblim-cmpi-network-%{sblim_cmpi_network_version}
%{_datadir}/doc/sblim-cmpi-network-%{sblim_cmpi_network_version}

%files -n	sblim-cmpi-network-devel
%defattr(-,root,pegasus,0755)
%{_libdir}/libOSBase_CommonNetwork.so
%{_includedir}/sblim/OSBase_CommonNetwork.h

%files -n	sblim-cmpi-network-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/test-cmpi-network.sh
%{_datadir}/sblim-testsuite/cim/Linux_*Port*.cim
%{_datadir}/sblim-testsuite/cim/Linux_*Endpoint*.cim
%{_datadir}/sblim-testsuite/system/linux/Linux_*Port*.system
%{_datadir}/sblim-testsuite/system/linux/Linux_*Port*.pl
%{_datadir}/sblim-testsuite/system/linux/Linux_*Endpoint*.system
%{_datadir}/sblim-testsuite/system/linux/Linux_*Endpoint*.pl

%files -n	sblim-cmpi-params
%defattr(-,root,pegasus,0755)
%{provider_dir}/*Parameter.so*
%{_datadir}/sblim-cmpi-params
%docdir %{_datadir}/doc/sblim-cmpi-params-%{sblim_cmpi_params_version}
%{_datadir}/doc/sblim-cmpi-params-%{sblim_cmpi_params_version}

%files -n	sblim-cmpi-params-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/sblim-cmpi-params-test.sh
%{_datadir}/sblim-testsuite/cim/Linux_*Parameter.cim
%{_datadir}/sblim-testsuite/system/linux/Linux_*Parameter.system
%{_datadir}/sblim-testsuite/system/linux/Linux_*Parameter.sh

%files -n	sblim-cmpi-sysfs
%defattr(-,root,pegasus,0755)
%{_libdir}/libLinux_Sysfs*
%{provider_dir}/libLinux_Sysfs*
%{_datadir}/sblim-cmpi-sysfs
%docdir %{_datadir}/doc/sblim-cmpi-sysfs-%{sblim_cmpi_sysfs_version}
%{_datadir}/doc/sblim-cmpi-sysfs-%{sblim_cmpi_sysfs_version}

%files -n	sblim-cmpi-sysfs-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/sblim-cmpi-sysfs-test.sh
%{_datadir}/sblim-testsuite/cim/Linux_Sysfs*
%{_datadir}/sblim-testsuite/system/linux/Linux_Sysfs*


%files -n	sblim-cmpi-syslog
%defattr(-,root,pegasus,0755)
%{_bindir}/syslog-service.sh
%{_libdir}/lib[Ss]yslog*.so*
%{provider_dir}/libSyslog*.so
%{_datadir}/sblim-cmpi-syslog
%docdir %{_datadir}/doc/sblim-cmpi-syslog-%{sblim_cmpi_syslog_version}
%{_datadir}/doc/sblim-cmpi-syslog-%{sblim_cmpi_syslog_version}

%files -n	sblim-cmpi-syslog-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/runtest*
%{_datadir}/sblim-testsuite/test-cmpi-syslog*
%{_datadir}/sblim-testsuite/cim/Syslog*
%{_datadir}/sblim-testsuite/system/linux/Syslog*
%{_datadir}/sblim-testsuite/system/linux/logrecord.sh
%{_datadir}/sblim-testsuite/system/linux/messagelog.sh
%{_datadir}/sblim-testsuite/system/linux/msglogtest.sh
%{_datadir}/sblim-testsuite/system/linux/setting

%files -n	sblim-cmpi-fsvol
%defattr(-,root,pegasus,0755)
%{_libdir}/libcmpiOSBase_CommonFsvol*.so.*
%{provider_dir}/libcmpiOSBase_LocalFileSystemProvider.so
%{provider_dir}/libcmpiOSBase_NFSProvider.so
%{provider_dir}/libcmpiOSBase_BlockStorageStatisticalDataProvider.so
%{provider_dir}/libcmpiOSBase_HostedFileSystemProvider.so
%{provider_dir}/libcmpiOSBase_BootOSFromFSProvider.so
%{_datadir}/sblim-cmpi-fsvol
%docdir %{_datadir}/doc/sblim-cmpi-fsvol-%{sblim_cmpi_fsvol_version}
%{_datadir}/doc/sblim-cmpi-fsvol-%{sblim_cmpi_fsvol_version}

%files -n	sblim-cmpi-fsvol-devel
%defattr(-,root,pegasus,0755)
%{_libdir}/libcmpiOSBase_CommonFsvol*.so
%{_includedir}/sblim/*Fsvol.h

%files -n	sblim-cmpi-fsvol-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/test-cmpi-fsvol.sh
%{_datadir}/sblim-testsuite/cim/*FileSystem.cim
%{_datadir}/sblim-testsuite/cim/*FS.cim
%{_datadir}/sblim-testsuite/cim/*BlockStorageStatisticalData.cim
%{_datadir}/sblim-testsuite/system/linux/*FileSystem.*
%{_datadir}/sblim-testsuite/system/linux/*FileSystemEntries.*

%files -n	sblim-cmpi-nfsv3
%defattr(-,root,pegasus,0755)
%{_libdir}/libLinux_NFSv3*
%{provider_dir}/libLinux_NFSv3*
%{_datadir}/sblim-cmpi-nfsv3
%docdir %{_datadir}/doc/sblim-cmpi-nfsv3-%{sblim_cmpi_nfsv3_version}
%{_datadir}/doc/sblim-cmpi-nfsv3-%{sblim_cmpi_nfsv3_version}

%files -n	sblim-cmpi-nfsv3-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/sblim-cmpi-nfsv3-test.sh
%{_datadir}/sblim-testsuite/exports.nfsv3
%{_datadir}/sblim-testsuite/cim/Linux_NFSv3*
%{_datadir}/sblim-testsuite/system/linux/Linux_NFSv3*

%files -n	sblim-cmpi-nfsv4
%defattr(-,root,pegasus,0755)
%{_libdir}/libLinux_NFSv4*
%{provider_dir}/libLinux_NFSv4*
%{_datadir}/sblim-cmpi-nfsv4
%docdir %{_datadir}/doc/sblim-cmpi-nfsv4-%{sblim_cmpi_nfsv4_version}
%{_datadir}/doc/sblim-cmpi-nfsv4-%{sblim_cmpi_nfsv4_version}

%files -n	sblim-cmpi-nfsv4-test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/sblim-cmpi-nfsv4-test.sh
%{_datadir}/sblim-testsuite/exports.nfsv4
%{_datadir}/sblim-testsuite/cim/Linux_NFSv4*
%{_datadir}/sblim-testsuite/system/linux/Linux_NFSv4*

%pre -n 	sblim-cmpi-base
# If upgrading, deregister old version
if [ $1 -gt 1 ]
then
  %{_datadir}/sblim-cmpi-base/provider-register.sh \
	-d -t pegasus \
	-m %{_datadir}/sblim-cmpi-base/Linux_Base.mof \
	-r %{_datadir}/sblim-cmpi-base/Linux_Base.registration > /dev/null  2>&1 || :;
  # don't let registration failure when server not running fail upgrade!
fi

%post -n 	sblim-cmpi-base
/sbin/ldconfig
if [ $1 -ge 1 ]
then
# Register Schema and Provider - this is higly provider specific
  %{_datadir}/sblim-cmpi-base/provider-register.sh \
	-t pegasus \
	-m %{_datadir}/sblim-cmpi-base/Linux_Base.mof \
	-r %{_datadir}/sblim-cmpi-base/Linux_Base.registration > /dev/null  2>&1 || :;
  # don't let registration failure when server not running fail install!
fi


%preun -n 	sblim-cmpi-base
# Deregister only if not upgrading 
if [ $1 -eq 0 ]
then
  %{_datadir}/sblim-cmpi-base/provider-register.sh \
	-d -t pegasus \
	-m %{_datadir}/sblim-cmpi-base/Linux_Base.mof \
	-r %{_datadir}/sblim-cmpi-base/Linux_Base.registration > /dev/null  2>&1 || :;
  # don't let registration failure when server not running fail erase!
fi

%postun -n 	sblim-cmpi-base
/sbin/ldconfig

%post -n 	sblim-cmpi-base-devel
/sbin/ldconfig

%postun -n 	sblim-cmpi-base-devel
/sbin/ldconfig


%define GATHER_SCHEMA %{_datadir}/sblim-gather/Linux_Metric.mof %{_datadir}/sblim-gather/Linux_IPProtocolEndpointMetric.mof %{_datadir}/sblim-gather/Linux_LocalFileSystemMetric.mof %{_datadir}/sblim-gather/Linux_NetworkPortMetric.mof %{_datadir}/sblim-gather/Linux_OperatingSystemMetric.mof %{_datadir}/sblim-gather/Linux_ProcessorMetric.mof %{_datadir}/sblim-gather/Linux_UnixProcessMetric.mof %{_datadir}/sblim-gather/Linux_XenMetric.mof %{_datadir}/sblim-gather/Linux_zECKDMetric.mof %{_datadir}/sblim-gather/Linux_zCECMetric.mof %{_datadir}/sblim-gather/Linux_zLPARMetric.mof %{_datadir}/sblim-gather/Linux_zCHMetric.mof
%define GATHER_REGISTRATION %{_datadir}/sblim-gather/Linux_IPProtocolEndpointMetric.registration %{_datadir}/sblim-gather/Linux_LocalFileSystemMetric.registration %{_datadir}/sblim-gather/Linux_Metric.registration %{_datadir}/sblim-gather/Linux_NetworkPortMetric.registration %{_datadir}/sblim-gather/Linux_OperatingSystemMetric.registration %{_datadir}/sblim-gather/Linux_ProcessorMetric.registration %{_datadir}/sblim-gather/Linux_UnixProcessMetric.registration %{_datadir}/sblim-gather/Linux_XenMetric.registration %{_datadir}/sblim-gather/Linux_zECKDMetric.registration %{_datadir}/sblim-gather/Linux_zCECMetric.registration %{_datadir}/sblim-gather/Linux_zLPARMetric.registration %{_datadir}/sblim-gather/Linux_zCHMetric.registration


%post -n	sblim-gather
/sbin/ldconfig

%postun -n	sblim-gather
/sbin/ldconfig


%pre -n		sblim-gather-provider
if [ $1 -gt 1 ]
then
  %{_datadir}/sblim-gather/provider-register.sh -t pegasus -d \
	-r %{GATHER_REGISTRATION} -m %{GATHER_SCHEMA} > /dev/null 2>&1 || :;
  # don't let registration failure when server not running fail upgrade!
fi

%post -n	sblim-gather-provider
/sbin/ldconfig
if [ $1 -ge 1 ]
then
  %{_datadir}/sblim-gather/provider-register.sh -t pegasus \
	-r %{GATHER_REGISTRATION} -m %{GATHER_SCHEMA} > /dev/null 2>&1 || :;
  # don't let registration failure when server not running fail install!
fi

%preun -n 	sblim-gather-provider
# Deregister only if not upgrading 
if [ $1 -eq 0 ]
then
  %{_datadir}/sblim-gather/provider-register.sh -t pegasus -d \
	-r %{GATHER_REGISTRATION} -m %{GATHER_SCHEMA} > /dev/null 2>&1 || :;
  # don't let registration failure when server not running fail erase!
fi

%postun -n	sblim-gather-provider
/sbin/ldconfig

%pre -n		sblim-cmpi-network
if [ "$1" -gt 1 ]; then
# If upgrading, deregister old version
    %{_datadir}/sblim-cmpi-network/provider-register.sh \
        -d -t pegasus \
	-m %{_datadir}/sblim-cmpi-network/Linux_Network.mof \
	-r %{_datadir}/sblim-cmpi-network/Linux_Network.registration \
	> /dev/null 2>&1 || :;
fi

%post -n	sblim-cmpi-network
/sbin/ldconfig
if [ "$1" -ge 1 ]; then
# Register Schema and Provider
    %{_datadir}/sblim-cmpi-network/provider-register.sh \
        -t pegasus \
	-m %{_datadir}/sblim-cmpi-network/Linux_Network.mof \
	-r %{_datadir}/sblim-cmpi-network/Linux_Network.registration \
	> /dev/null 2>&1 || :;
fi

%preun -n 	sblim-cmpi-network
if [ "$1" -eq 0 ]; then
# Deregister only if not upgrading
    %{_datadir}/sblim-cmpi-network/provider-register.sh \
        -d -t pegasus \
	-m %{_datadir}/sblim-cmpi-network/Linux_Network.mof \
	-r %{_datadir}/sblim-cmpi-network/Linux_Network.registration \
	> /dev/null 2>&1 || :;
fi

%postun	-n 	sblim-cmpi-network
/sbin/ldconfig 


%define PARAMS_SCHEMA %{_datadir}/sblim-cmpi-params/Linux_ABIParameter.mof %{_datadir}/sblim-cmpi-params/Linux_FileSystemParameter.mof 	%{_datadir}/sblim-cmpi-params/Linux_KernelParameter.mof %{_datadir}/sblim-cmpi-params/Linux_NetworkCoreParameter.mof %{_datadir}/sblim-cmpi-params/Linux_NetworkIPv4Parameter.mof %{_datadir}/sblim-cmpi-params/Linux_NetworkUnixParameter.mof	%{_datadir}/sblim-cmpi-params/Linux_VirtualMemoryParameter.mof
%define PARAMS_REGISTRATION %{_datadir}/sblim-cmpi-params/Linux_ABIParameter.registration %{_datadir}/sblim-cmpi-params/Linux_FileSystemParameter.registration 	%{_datadir}/sblim-cmpi-params/Linux_KernelParameter.registration %{_datadir}/sblim-cmpi-params/Linux_NetworkCoreParameter.registration %{_datadir}/sblim-cmpi-params/Linux_NetworkIPv4Parameter.registration \%{_datadir}/sblim-cmpi-params/Linux_NetworkUnixParameter.registration %{_datadir}/sblim-cmpi-params/Linux_VirtualMemoryParameter.registration

%pre -n 	sblim-cmpi-params
if [ $1 -gt 1 ]; then
  %{_datadir}/sblim-cmpi-params/provider-register.sh -d \
	-t pegasus -r %{PARAMS_REGISTRATION} -m %{PARAMS_SCHEMA} > /dev/null 2>&1 || :;
fi

%post -n 	sblim-cmpi-params
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   %{_datadir}/sblim-cmpi-params/provider-register.sh \
	-t pegasus -r %{PARAMS_REGISTRATION} -m %{PARAMS_SCHEMA} > /dev/null 2>&1 || :;
fi

%preun -n 	sblim-cmpi-params
if [ $1 -eq 0 ]; then
   %{_datadir}/sblim-cmpi-params/provider-register.sh -d \
	-t pegasus -r %{PARAMS_REGISTRATION} -m %{PARAMS_SCHEMA} > /dev/null 2>&1 || :;
fi

%postun -n       sblim-cmpi-params
/sbin/ldconfig    


%define SYSFS_SCHEMA %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsAttribute.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsBlockDevice.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsBusDevice.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsInputDevice.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsNetworkDevice.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsSCSIDevice.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsSCSIHostDevice.mof %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsTTYDevice.mof
%define SYSFS_REGISTRATION %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsAttribute.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsBlockDevice.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsBusDevice.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsInputDevice.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsNetworkDevice.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsSCSIDevice.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsSCSIHostDevice.registration %{_datadir}/sblim-cmpi-sysfs/Linux_SysfsTTYDevice.registration

%pre -n 	sblim-cmpi-sysfs
if [ $1 -gt 1 ]; then
  %{_datadir}/sblim-cmpi-sysfs/provider-register.sh -d \
	-t pegasus -r %{SYSFS_REGISTRATION} -m %{SYSFS_SCHEMA} > /dev/null 2>&1 || :;
fi

%post -n 	sblim-cmpi-sysfs
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   %{_datadir}/sblim-cmpi-sysfs/provider-register.sh \
   -t pegasus -r %{SYSFS_REGISTRATION} -m %{SYSFS_SCHEMA} > /dev/null 2>&1 || :;
fi

%preun -n 	sblim-cmpi-sysfs
if [ $1 -eq 0 ]; then
   %{_datadir}/sblim-cmpi-sysfs/provider-register.sh -d \
   -t pegasus -r %{SYSFS_REGISTRATION} -m %{SYSFS_SCHEMA} > /dev/null 2>&1 || :;
fi

%postun -n       sblim-cmpi-sysfs
/sbin/ldconfig    


%define SYSLOG_SCHEMA %{_datadir}/sblim-cmpi-syslog/Syslog_Log.mof %{_datadir}/sblim-cmpi-syslog/Syslog_Service.mof  %{_datadir}/sblim-cmpi-syslog/Syslog_Configuration.mof
%define SYSLOG_REGISTRATION %{_datadir}/sblim-cmpi-syslog/Syslog_Configuration.registration  %{_datadir}/sblim-cmpi-syslog/Syslog_Log.registration %{_datadir}/sblim-cmpi-syslog/Syslog_Service.registration

%pre -n 	sblim-cmpi-syslog
# If upgrading, deregister old version
if [ $1 -gt 1 ]; then
    %{_datadir}/sblim-cmpi-syslog/provider-register.sh -d \
      -t pegasus  -r %{SYSLOG_REGISTRATION} -m %{SYSLOG_SCHEMA} > /dev/null 2>&1 || :;
fi

%post -n	sblim-cmpi-syslog
/sbin/ldconfig
if [ $1 -ge 1 ]; then
# Register Schema and Provider - this is higly provider specific
   %{_datadir}/sblim-cmpi-syslog/provider-register.sh \
      -t pegasus  -r %{SYSLOG_REGISTRATION} -m %{SYSLOG_SCHEMA} > /dev/null 2>&1 || :;
fi;

%preun -n	sblim-cmpi-syslog
# Deregister only if not upgrading
if [ $1 -eq 0 ]; then
  %{_datadir}/sblim-cmpi-syslog/provider-register.sh -d \
      -t pegasus -r %{SYSLOG_REGISTRATION} -m %{SYSLOG_SCHEMA} > /dev/null 2>&1 || :;
fi

%postun -n	sblim-cmpi-syslog
/sbin/ldconfig


%define FSVOL_SCHEMA %{_datadir}/sblim-cmpi-fsvol/Linux_Fsvol.mof
%define FSVOL_REGISTRATION %{_datadir}/sblim-cmpi-fsvol/Linux_Fsvol.registration

%pre -n 	sblim-cmpi-fsvol
# If upgrading, deregister old version
if [ $1 -gt 1 ]; then
  %{_datadir}/sblim-cmpi-fsvol/provider-register.sh -d \
   -t pegasus -r %{FSVOL_REGISTRATION} -m %{FSVOL_SCHEMA} > /dev/null 2>&1 || :;
fi

%post -n 	sblim-cmpi-fsvol
/sbin/ldconfig
if [ $1 -ge 1 ]; then
# Register Schema and Provider - this is higly provider specific
%{_datadir}/sblim-cmpi-fsvol/provider-register.sh \
    -t pegasus	-r %{FSVOL_REGISTRATION} -m %{FSVOL_SCHEMA} > /dev/null 2>&1 || :;
fi;

%preun -n 	sblim-cmpi-fsvol
# Deregister only if not upgrading 
if [ $1 -eq 0 ]; then
  %{_datadir}/sblim-cmpi-fsvol/provider-register.sh -d \
    -t pegasus	-r %{FSVOL_REGISTRATION} -m %{FSVOL_SCHEMA} > /dev/null 2>&1 || :;
fi

%postun -n sblim-cmpi-fsvol
/sbin/ldconfig


%define NFSV3_SCHEMA %{_datadir}/sblim-cmpi-nfsv3/Linux_NFSv3SystemSetting.mof %{_datadir}/sblim-cmpi-nfsv3/Linux_NFSv3SystemConfiguration.mof
%define NFSV3_REGISTRATION %{_datadir}/sblim-cmpi-nfsv3/Linux_NFSv3SystemConfiguration.registration %{_datadir}/sblim-cmpi-nfsv3/Linux_NFSv3SystemSetting.registration

%pre -n 	sblim-cmpi-nfsv3
# If upgrading, deregister old version
if [ $1 -gt 1 ]; then
  %{_datadir}/sblim-cmpi-nfsv3/provider-register.sh -d \
	-t pegasus -r %{NFSV3_REGISTRATION} -m %{NFSV3_SCHEMA} > /dev/null 2>&1 || :;
fi

%post -n 	sblim-cmpi-nfsv3
/sbin/ldconfig
if [ $1 -ge 1 ]; then
# Register Schema and Provider - this is higly provider specific
%{_datadir}/sblim-cmpi-nfsv3/provider-register.sh \
	-t pegasus -r %{NFSV3_REGISTRATION} -m %{NFSV3_SCHEMA} > /dev/null 2>&1 || :;
fi;

%preun -n 	sblim-cmpi-nfsv3
# Deregister only if not upgrading 
if [ $1 -eq 0 ]; then
  %{_datadir}/sblim-cmpi-nfsv3/provider-register.sh -d \
	-t pegasus -r %{NFSV3_REGISTRATION} -m %{NFSV3_SCHEMA} > /dev/null 2>&1 || :;
fi


%define NFSV4_SCHEMA %{_datadir}/sblim-cmpi-nfsv4/Linux_NFSv4SystemSetting.mof %{_datadir}/sblim-cmpi-nfsv4/Linux_NFSv4SystemConfiguration.mof
%define NFSV4_REGISTRATION %{_datadir}/sblim-cmpi-nfsv4/Linux_NFSv4SystemConfiguration.registration %{_datadir}/sblim-cmpi-nfsv4/Linux_NFSv4SystemSetting.registration

%pre -n 	sblim-cmpi-nfsv4
# If upgrading, deregister old version
if [ $1 -gt 1 ]; then
  %{_datadir}/sblim-cmpi-nfsv4/provider-register.sh -d \
	-t pegasus -r %{NFSV4_REGISTRATION} -m %{NFSV4_SCHEMA} > /dev/null 2>&1 || :;
fi

%post -n 	sblim-cmpi-nfsv4
/sbin/ldconfig
if [ $1 -ge 1 ]; then
# Register Schema and Provider - this is higly provider specific
%{_datadir}/sblim-cmpi-nfsv4/provider-register.sh \
	-t pegasus -r %{NFSV4_REGISTRATION} -m %{NFSV4_SCHEMA} > /dev/null 2>&1 || :;
fi;

%preun -n 	sblim-cmpi-nfsv4
# Deregister only if not upgrading 
if [ $1 -eq 0 ]; then
  %{_datadir}/sblim-cmpi-nfsv4/provider-register.sh -d \
	-t pegasus -r %{NFSV4_REGISTRATION} -m %{NFSV4_SCHEMA} > /dev/null 2>&1 || :;
fi


%clean
rm -rf $RPM_BUILD_ROOT
#

%changelog
* Sun Oct 22 2006 Philip Copeland <philip.copeland@oracle.com> sblim-1-12.EL4.1
- /etc/enterprise-release patch

* Thu Jul 20 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-1-12.EL4
- fix bug 199162: prevent provider_register messages during install
- fix IBM bug: [Bug 24459]  - RIT95208- 200593: 
  'Update of SBLIM Support for Native LPAR Performance Measurement (BTM req)
  - Mandatory patch on top of 2.1.1 level, fixing repository data corruption'

* Wed Jul 12 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-1-11.EL4
- fixed sblim-cmpi-fsvol test script cimserver coredump on /dev/VolGroup* mounts

* Tue Jul 11 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-1-10.EL4
- Applied patches from Viktor <mihajlov@de.ibm.com>
- fixed QA errata testing failures

* Thu Jul 06 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-1-8.EL4
- Further fixes for bug 195543
- Fix bug 196812: upgrade sblim-gather to 2.1.1
- Fix bug 196459: fix package dependencies
- Restore fix for bug 195613

* Thu Jun 28 2006 Nalin Dahyabhai <nalin@redhat.com> - sblim-1-6.EL4
- fixup Requires: so that packages install correctly again
- be more precise about buildrequiring a tog-pegasus-devel which includes the
  headers for CMPI
- simplify use of %%setup to reduce the number of times we unpack Source0

* Wed Jun 28 2006 Nalin Dahyabhai <nalin@redhat.com> - sblim-1-4.EL4
- temporarily back out fix for #195543
- stop overriding release numbers on a per-subpackage basis

* Fri Jun 16 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-2.1.EL4
- Fix bug 195613: add sblim-cmpi-{network,params,sysfs,fsvol,syslog,nfsv3,nfsv4}

* Thu Jun 15 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-2-2.EL4
- Fix bug 195543 - LTC24674 - Invalid display of 32bit values on 64bit systems
  Import changes from sblim-gather CVS 

* Thu May  4 2006 Jason Vas Dias <jvdias@redhat.com> - sblim-1-0.rhel4
- Imported from upstream / Fedora Extras packages -
  consolidated into one .spec file.
 
  Upstream changelog:
      --- sblim-cmpi-base ---
    * Thu Nov 10 2005  <mihajlov@de.ibm.com> - 1.5.4-3
    - suppress error output in post scriptlets

    * Wed Oct 27 2005  <mihajlov@de.ibm.com> - 1.5.4-2
    - went back to original provider dir location as FC5 pegasus 2.5.1 support
      /usr/lib[64]/cmpi

    * Wed Oct 12 2005  <mihajlov@de.ibm.com> - 1.5.4-1
    - new spec file specifically for Fedora/RedHat

    * Wed Jul 20 2005 Mark Hamzy <hamzy@us.ibm.com>	1.5.3-1
    - initial support

      --- sblim-cmpi-devel ---
    * Thu Feb 09 2006 Viktor Mihajlovski <mihajlov@de.ibm.com> 1.0.4-1
      - Initial RH/Fedora version

      --- sblim-wbemcli ---
    * Mon Nov 21 2005 Viktor Mihajlovski <mihajlov@de.ibm.com> 1.5.1-1
      - Upgrade to version 1.5.1 (SSL V3 enforced, default CACERT).
	Created Fedora/RH specific spec file.

    * Thu Oct 28 2005 Viktor Mihajlovski <mihajlov@de.ibm.com> 1.5.0-1
      - Minor enhancements for Fedora compatibility, still not daring to
	nuke the build root though

    * Thu Jul 28 2005 Viktor Mihajlovski <mihajlov@de.ibm.com> 1.5.0-0
      - Updates for rpmlint complaints

      --- sblim-gather ---
    * Fri Mar 31 2006 Viktor Mihajlovski <mihajlov@dyn-9-152-143-45.boeblingen.de.ibm.com> - 2.1.0-1.rh%{?rhel4:el4}
      - Initial specfile for 2.1.0 for RH/Fedora

      --- sblim-testsuite ---
    * Thu Oct 28 2005 Viktor Mihajlovski <mihajlov@de.ibm.com> 1.2.4-1
      - New release

    * Thu Jul 28 2005 Viktor Mihajlovski <mihajlov@de.ibm.com> 1.2.3-0
      - Updates for rpmlint complaints
